Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.campaign.model
Class EndScenarioModel

    java.lang.Object
      com.bea.p13n.model.Model
          com.bea.p13n.model.XmlObjectModel
              com.bea.p13n.rules.model.ClauseModel
                  com.bea.campaign.model.EndScenarioModel

All Implemented Interfaces
  Serializable, Cloneable

    public class EndScenarioModel

extends ClauseModel

A rule action that will cause the scenario to end for the executing user. This model has no properties; it's association to a `RuleModel` is what controls it.

See Also
  Serialized Form

Nested Class Summary
`static class` | `EndScenarioModel.Recognizer` An object which can recognize this model from xml.

Nested classes/interfaces inherited from class com.bea.p13n.model.Model
`Model.ChangeEvent, Model.ChangeListener, Model.ChangeSupport, Model.Debug`

Field Summary
`static String` | `CLAUSE_TYPE` The default clause type for this model.

Fields inherited from class com.bea.p13n.rules.model.ClauseModel
`clauseType`

Fields inherited from class com.bea.p13n.model.XmlObjectModel
`copyRootXmlObject, instanceUri, isComplete`

Fields inherited from class com.bea.p13n.model.Model
`childrenModels, docModel, parentModel, roChildrenModels`

Constructor Summary
`EndScenarioModel()`

Method Summary
`void` | `clearCachedData()` Do nothing since this doesn't have any cached data.
`org.apache.xmlbeans.XmlObject` | `createNewXmlObject(String clauseType)` Create a new `EndScenario` object.
`protected org.apache.xmlbeans.XmlObject` | `getCopyXmlObject()` Create a copy XmlObject of our root xml object.
`void` | `setXmlObject(String clauseType, org.apache.xmlbeans.XmlObject clause)` Set the root xml object (should be an `EndScenario`).

Methods inherited from class com.bea.p13n.rules.model.ClauseModel
`addBranch, addLiteral, addMethod, addMethodOrOperator, addOperator, addVariable, addVariableBinding, copy, getClauseType, getContainingRuleModel, initializeNew, isInActions, isInConditions, isValidTypeAlias, isValidVariableName, makeSafeCopy, toString`

Methods inherited from class com.bea.p13n.model.XmlObjectModel
`checkElement, childAdded, childRemoved, determineIsComplete, fixQName, getApplicationInstanceUri, getChild, getDocument, getLocalName, getParent, getQName, getRootXmlObject, isComplete, isNil, preRemove, propertyChanged, removeAllChildren, removeChild, setApplicationInstanceUri, setIsComplete, setIsComplete, setParent, setRootXmlObject`

Methods inherited from class com.bea.p13n.model.Model
`addChangeListener, addChild, addChild, clone, doubleEquals, equals, getChildren, getDebug, getDebug, getDocument, getParent, longEquals, removeChangeListener, removeChild, removeChild, removeEmpties, setDocument`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### CLAUSE_TYPE

    public static final String CLAUSE_TYPE

  The default clause type for this model.

  See Also
    Constants Summary

Constructor Detail

### EndScenarioModel

    public EndScenarioModel()

Method Detail

### setXmlObject

    public void setXmlObject(String clauseType,
                             org.apache.xmlbeans.XmlObject clause)
                      throws IllegalArgumentException

  Set the root xml object (should be an `EndScenario`).

  Overrides:
    `setXmlObject` in class `ClauseModel`
  Parameters
    `clauseType` - the clause type of the clause.
    `clause` - the root xml object of the clause.
  Throws
    `IllegalArgumentException` - thrown on wrong xml.

### createNewXmlObject

    public org.apache.xmlbeans.XmlObject createNewXmlObject(String clauseType)

  Create a new `EndScenario` object.

  Specified by:
    `createNewXmlObject` in class `ClauseModel`
  Parameters
    `clauseType` - the clause type of the clause.
  Returns
    a new, empty initialize root object.

### getCopyXmlObject

    protected org.apache.xmlbeans.XmlObject getCopyXmlObject()

  Create a copy XmlObject of our root xml object.

  Overrides:
    `getCopyXmlObject` in class `ClauseModel`
  See Also
    `ClauseModel.makeSafeCopy(XmlObject)`

### clearCachedData

    public void clearCachedData()

  Do nothing since this doesn't have any cached data.

  Specified by:
    `clearCachedData` in class `XmlObjectModel`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.